Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
avatar
/
instant
Create Instant Avatar
curl --request POST \
  --url https://api.example.com/api/v1/teams/{team_id}/avatar/instant \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'photo=<string>' \
  --form consent_attestation=true \
  --form subject_is_minor=true \
  --form 'voice_id=<string>' \
  --form 'default_prompt=<string>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Body

multipart/form-data
photo
string
required
subject_is_minor
boolean
required
voice_id
string | null
default_prompt
string | null

Response

Successful Response